Package org.opentcs.data.order

# Enum TransportOrder.State

java.lang.Object
java.lang.Enum<TransportOrder.State>
org.opentcs.data.order.TransportOrder.State

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TransportOrder.State>`, `java.lang.constant.Constable`

Enclosing class:
  TransportOrder

    public static enum TransportOrder.State
    extends java.lang.Enum<TransportOrder.State>

This enumeration defines the various states a transport order may be in.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ACTIVE` | Set (by a user/client) when a transport order's parameters have been set up completely and the kernel should dispatch it when possible.
  `BEING_PROCESSED` | Marks a transport order as being processed by a vehicle.
  `DISPATCHABLE` | Marks a transport order as ready to be dispatched to a vehicle (i.e.
  `FAILED` | General failure state that marks a transport order as failed.
  `FINISHED` | Marks a transport order as successfully completed.
  `RAW` | A transport order's initial state.
  `UNROUTABLE` | Failure state that marks a transport order as unroutable, i.e.
  `WITHDRAWN` | Indicates the transport order is withdrawn from a processing vehicle but not yet in its final state (which will be FAILED), as the vehicle has not yet finished/cleaned up.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `isFinalState()` | Checks if this state is a final state for a transport order.
  `static TransportOrder.State` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static TransportOrder.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RAW

    public static final TransportOrder.State RAW
    A transport order's initial state. A transport order remains in this state until its parameters have been set up completely.

  - ### ACTIVE

    public static final TransportOrder.State ACTIVE
    Set (by a user/client) when a transport order's parameters have been set up completely and the kernel should dispatch it when possible.

  - ### DISPATCHABLE

    public static final TransportOrder.State DISPATCHABLE
    Marks a transport order as ready to be dispatched to a vehicle (i.e. all its dependencies have been finished).

  - ### BEING_PROCESSED

    public static final TransportOrder.State BEING_PROCESSED
    Marks a transport order as being processed by a vehicle.

  - ### WITHDRAWN

    public static final TransportOrder.State WITHDRAWN
    Indicates the transport order is withdrawn from a processing vehicle but not yet in its final state (which will be FAILED), as the vehicle has not yet finished/cleaned up.

  - ### FINISHED

    public static final TransportOrder.State FINISHED
    Marks a transport order as successfully completed.

  - ### FAILED

    public static final TransportOrder.State FAILED
    General failure state that marks a transport order as failed.

  - ### UNROUTABLE

    public static final TransportOrder.State UNROUTABLE
    Failure state that marks a transport order as unroutable, i.e. it is impossible to find a route that would allow a vehicle to process the transport order completely.

- ## Method Details

  - ### values

    public static TransportOrder.State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TransportOrder.State valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### isFinalState

    public boolean isFinalState()
    Checks if this state is a final state for a transport order.
    Returns:
      `true` if, and only if, this state is a final state for a transport order - i.e. FINISHED, FAILED or UNROUTABLE.